
function get_ids(labels,column){
/*
    Return all the id of the labels
    :param labels    : List[Dict[int, str]]
    :param varaiable :     column  : chaine de caratère
    :return: String
*/
    var chaine = ""
    labels.forEach(function(label){
						chaine += label[column]+",";
	});
	chaine = chaine.slice(0,-1);
	return chaine;
}

function update_elements_and_labels(){
/*
    Update elements and labels when user change mandatory or forbiden labels.
    :return: void
*/
    //step-1 parse the parameters into the URL
    url =""
    url += "/sort/search/"+hierarchy.mandatory_labels.length
    if(hierarchy.mandatory_labels.length>0){
        url += "/"+get_ids(hierarchy.mandatory_labels,"id")
        if(hierarchy.forbiden_labels.length>0){
            url +="/"+get_ids(hierarchy.forbiden_labels,"id")
        }
    }else{
        if(hierarchy.forbiden_labels.length>0){
            url +="/"+get_ids(hierarchy.forbiden_labels,"id")
        }
    }
    //step-2 get the updated elements and labels list
    //result<-[elements, labels]
    results = JSON.parse(send_simple_request(url));
    //step-3 update vues
    result.selected_elements = results[0]
    hierarchy.high_discriminating_labels = results[1]
    }


